Mailinglist Archive: opensuse-updates (121 mails)

< Previous Next >
openSUSE-SU-2017:0528-1: moderate: Security update for libplist
openSUSE Security Update: Security update for libplist
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:0528-1
Rating: moderate
References: #1019531 #1023807 #1023822 #1023848
Cross-References: CVE-2017-5209 CVE-2017-5834 CVE-2017-5835
CVE-2017-5836
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:


This update for libplist fixes the following issues:

- CVE-2017-5209: The base64decode function in libplist allowed attackers
to obtain sensitive information from process memory or cause a denial of
service (buffer over-read) via split encoded Apple Property List data
(bsc#1019531).
- CVE-2017-5834: A heap-buffer overflow in parse_dict_node was fixed
(bsc#1023848)
- CVE-2017-5835: A memory allocation error leading to DoS was fixed.
(bsc#1023822)
- CVE-2017-5836: A type inconsistency in bplist.c was fixed. (bsc#1023807)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2017-283=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

libplist++-devel-1.12-7.1
libplist++3-1.12-7.1
libplist++3-debuginfo-1.12-7.1
libplist-debugsource-1.12-7.1
libplist-devel-1.12-7.1
libplist3-1.12-7.1
libplist3-debuginfo-1.12-7.1
plistutil-1.12-7.1
plistutil-debuginfo-1.12-7.1
python-plist-1.12-7.1
python-plist-debuginfo-1.12-7.1

- openSUSE Leap 42.1 (x86_64):

libplist++3-32bit-1.12-7.1
libplist++3-debuginfo-32bit-1.12-7.1
libplist3-32bit-1.12-7.1
libplist3-debuginfo-32bit-1.12-7.1


References:

https://www.suse.com/security/cve/CVE-2017-5209.html
https://www.suse.com/security/cve/CVE-2017-5834.html
https://www.suse.com/security/cve/CVE-2017-5835.html
https://www.suse.com/security/cve/CVE-2017-5836.html
https://bugzilla.suse.com/1019531
https://bugzilla.suse.com/1023807
https://bugzilla.suse.com/1023822
https://bugzilla.suse.com/1023848


< Previous Next >
This Thread
  • No further messages